summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/compass4nfv/compass-project-jobs.yml18
-rwxr-xr-xjjb/fuel/fuel-build.sh8
-rwxr-xr-xjjb/fuel/fuel-deploy.sh8
-rwxr-xr-xjjb/fuel/fuel-download-artifact.sh8
-rwxr-xr-xjjb/fuel/fuel-lab-reconfig.sh8
-rwxr-xr-xjjb/fuel/fuel-upload-artifact.sh8
-rwxr-xr-xjjb/fuel/fuel-workspace-cleanup.sh8
-rw-r--r--jjb/functest/functest-ci-jobs.yml8
-rw-r--r--jjb/functest/res-build.sh8
-rw-r--r--jjb/joid/joid-ci-jobs.yml2
-rw-r--r--jjb/joid/joid-deploy.sh8
-rwxr-xr-xjjb/kvmfornfv/kvmfornfv-build.sh9
-rw-r--r--jjb/opnfv/opnfv-docker.sh8
-rwxr-xr-xjjb/verify-releng8
14 files changed, 105 insertions, 12 deletions
diff --git a/jjb/compass4nfv/compass-project-jobs.yml b/jjb/compass4nfv/compass-project-jobs.yml
index 3a10cbd75..b3d9f9e43 100644
--- a/jjb/compass4nfv/compass-project-jobs.yml
+++ b/jjb/compass4nfv/compass-project-jobs.yml
@@ -8,9 +8,11 @@
stream:
- master:
+ slave_name: 'huawei-us-deploy-vm-1'
branch: '{stream}'
gs-pathname: ''
- brahmaputra:
+ slave_name: 'huawei-us-deploy-vm-2'
branch: 'stable/{stream}'
gs-pathname: '/{stream}'
@@ -30,9 +32,9 @@
disabled: false
- node: 'huawei-virtual'
+ node: '{slave_name}'
- concurrent: true
+ concurrent: false
wrappers:
- timeout:
@@ -42,7 +44,7 @@
properties:
- throttle:
enabled: true
- max-total: 0
+ max-total: 4
max-per-node: 1
parameters:
@@ -53,11 +55,15 @@
- compass-project-parameter:
installer: '{installer}'
gs-pathname: '{gs-pathname}'
- - '{node}-defaults'
+ #- '{node}-defaults'
- '{installer}-defaults'
- string:
name: DEPLOY_SCENARIO
default: 'os-nosdn-nofeature-ha'
+ - string:
+ name: GIT_BASE
+ default: https://gerrit.opnfv.org/gerrit/$PROJECT
+ description: 'Git URL to use on this Jenkins Slave'
triggers:
- gerrit:
@@ -100,10 +106,10 @@
max-per-node: 1
scm:
- - git-scm:
+ - gerrit-trigger-scm:
credentials-id: '{ssh-credentials}'
refspec: '$GERRIT_REFSPEC'
- branch: '{branch}'
+ choosing-strategy: 'gerrit'
builders:
- shell:
diff --git a/jjb/fuel/fuel-build.sh b/jjb/fuel/fuel-build.sh
index d51637afd..42e373cbc 100755
--- a/jjb/fuel/fuel-build.sh
+++ b/jjb/fuel/fuel-build.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/fuel/fuel-deploy.sh b/jjb/fuel/fuel-deploy.sh
index f3d2aca45..62f2340a8 100755
--- a/jjb/fuel/fuel-deploy.sh
+++ b/jjb/fuel/fuel-deploy.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/fuel/fuel-download-artifact.sh b/jjb/fuel/fuel-download-artifact.sh
index a1a1de47e..a3769b112 100755
--- a/jjb/fuel/fuel-download-artifact.sh
+++ b/jjb/fuel/fuel-download-artifact.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/fuel/fuel-lab-reconfig.sh b/jjb/fuel/fuel-lab-reconfig.sh
index 55bb5dd9d..59f660066 100755
--- a/jjb/fuel/fuel-lab-reconfig.sh
+++ b/jjb/fuel/fuel-lab-reconfig.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/fuel/fuel-upload-artifact.sh b/jjb/fuel/fuel-upload-artifact.sh
index 8b69f5a78..3a8f90677 100755
--- a/jjb/fuel/fuel-upload-artifact.sh
+++ b/jjb/fuel/fuel-upload-artifact.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/fuel/fuel-workspace-cleanup.sh b/jjb/fuel/fuel-workspace-cleanup.sh
index 4e1a3a727..d8948c7a0 100755
--- a/jjb/fuel/fuel-workspace-cleanup.sh
+++ b/jjb/fuel/fuel-workspace-cleanup.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/functest/functest-ci-jobs.yml b/jjb/functest/functest-ci-jobs.yml
index 2b91ed692..10ea72b53 100644
--- a/jjb/functest/functest-ci-jobs.yml
+++ b/jjb/functest/functest-ci-jobs.yml
@@ -243,13 +243,13 @@
sudo rm -rf ${dir_result}/*
res_volume="-v ${dir_result}:/home/opnfv/functest/results"
- docker pull opnfv/functest:latest_stable >$redirect
- cmd="sudo docker run --privileged=true -id ${envs} ${labconfig} ${sshkey} ${res_volume} opnfv/functest:latest_stable /bin/bash"
+ docker pull opnfv/functest:latest >$redirect
+ cmd="sudo docker run --privileged=true -id ${envs} ${labconfig} ${sshkey} ${res_volume} opnfv/functest:latest /bin/bash"
echo "Functest: Running docker run command: ${cmd}"
${cmd}
docker ps -a
sleep 5
- container_id=$(docker ps | grep 'opnfv/functest:latest_stable' | awk '{print $1}' | head -1)
+ container_id=$(docker ps | grep 'opnfv/functest:latest' | awk '{print $1}' | head -1)
echo "Container ID=${container_id}"
if [ -z ${container_id} ]; then
echo "Cannot find opnfv/functest container ID ${container_id}. Please check if it is existing."
@@ -260,7 +260,7 @@
docker start ${container_id}
sleep 5
docker ps
- if [ $(docker ps | grep 'opnfv/functest:latest_stable' | wc -l) == 0 ]; then
+ if [ $(docker ps | grep 'opnfv/functest:latest' | wc -l) == 0 ]; then
echo "The container opnfv/functest with ID=${container_id} has not been properly started. Exiting..."
exit 1
fi
diff --git a/jjb/functest/res-build.sh b/jjb/functest/res-build.sh
index 1f4699681..5785b952a 100644
--- a/jjb/functest/res-build.sh
+++ b/jjb/functest/res-build.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Orange and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -e
set -o pipefail
diff --git a/jjb/joid/joid-ci-jobs.yml b/jjb/joid/joid-ci-jobs.yml
index 849112319..946785d91 100644
--- a/jjb/joid/joid-ci-jobs.yml
+++ b/jjb/joid/joid-ci-jobs.yml
@@ -103,7 +103,7 @@
builders:
- trigger-builds:
- project: 'joid-deploy-{pod}-daily-{stream}'
- current-parameters: false
+ current-parameters: true
predefined-parameters:
DEPLOY_SCENARIO={scenario}
same-node: true
diff --git a/jjb/joid/joid-deploy.sh b/jjb/joid/joid-deploy.sh
index 6bd214adf..9d15390b3 100644
--- a/jjb/joid/joid-deploy.sh
+++ b/jjb/joid/joid-deploy.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Orange and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set +e
set -o nounset
diff --git a/jjb/kvmfornfv/kvmfornfv-build.sh b/jjb/kvmfornfv/kvmfornfv-build.sh
index 4e00a9d87..ff918492c 100755
--- a/jjb/kvmfornfv/kvmfornfv-build.sh
+++ b/jjb/kvmfornfv/kvmfornfv-build.sh
@@ -1,5 +1,12 @@
#!/bin/bash
-
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
# build output directory
OUTPUT_DIR=$WORKSPACE/build_output
mkdir -p $OUTPUT_DIR
diff --git a/jjb/opnfv/opnfv-docker.sh b/jjb/opnfv/opnfv-docker.sh
index bf355973c..adb519394 100644
--- a/jjb/opnfv/opnfv-docker.sh
+++ b/jjb/opnfv/opnfv-docker.sh
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o errexit
set -o nounset
set -o pipefail
diff --git a/jjb/verify-releng b/jjb/verify-releng
index 290b4c5a5..82d76e366 100755
--- a/jjb/verify-releng
+++ b/jjb/verify-releng
@@ -1,4 +1,12 @@
#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Linux Foundation and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
#test for non-ascii characters, these can pass the test and end up breaking things in production
for x in $(find . -name *\.yml); do